### Signal

# Gio Application::name-lost

since: 2.60

#### Declaration

    gboolean
    name_lost (
      GApplication* self,
      gpointer user_data
    )

#### Description [src]

The ::name-lost signal is emitted only on the registered primary instance when a new instance has taken over. This can only happen if the application is using the `G_APPLICATION_ALLOW_REPLACEMENT` flag.

The default handler for this signal calls g_application_quit().

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.60

#### Return value

Type: `gboolean`

`TRUE` if the signal has been handled.